package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag292;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT292Creator;

public class Tag79Creator extends AbsTagCreate {
    private MT292Creator mt292Creator;

    public Tag79Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt292Creator= (MT292Creator) absMTCreator;
    }

    public void creator()
    {
        String tag79Value = mt292Creator.getNarrativeDescriptionoftheOriginalMessage();
        mt292Creator.set("79", tag79Value);
    }
}
